Skip to main content
GET
/
pages
/
{id}
Get a page
curl --request GET \
  --url https://api.awardee.dev/v1/pages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "public_slug": "<string>",
  "title": "<string>",
  "description": "<string>",
  "background": {
    "type": "<string>",
    "value": "<string>"
  },
  "island": {
    "color": "#ffffff",
    "opacity": 1,
    "shadow": "md",
    "roundness": "3xl"
  },
  "favicon_url": "<string>",
  "meta_title": "<string>",
  "meta_description": "<string>",
  "og_image_url": "<string>",
  "view_count": 4503599627370495,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "blocks": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "config": "<unknown>",
      "sort_order": 0,
      "spacing_top": 0,
      "spacing_bottom": 0,
      "spacing_left": 0,
      "spacing_right": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Response

Page with blocks

object
string
required
Allowed value: "page"
id
string<uuid>
required
slug
string
required
public_slug
string
required
status
enum<string>
required
Available options:
draft,
active,
inactive,
archived
title
string
required
description
string | null
required
background
object
required
island
object
required
favicon_url
string | null
required
meta_title
string | null
required
meta_description
string | null
required
og_image_url
string | null
required
view_count
integer
required
Required range: 0 <= x <= 9007199254740991
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
blocks
object[]
required